<?php

namespace App\Document\Areabrick;

use Pimcore\Extension\Document\Areabrick\AbstractTemplateAreabrick;
use Pimcore\Model\Document\Editable\Area\Info;

class Textblock extends AbstractTemplateAreabrick
{
	/**
	 * @inheritdoc
	 */
	public function getTemplateLocation(): string
	{
		return static::TEMPLATE_LOCATION_GLOBAL;
	}

	/**
	 * @inheritdoc
	 */
	public function getTemplateSuffix(): string
	{
		return static::TEMPLATE_SUFFIX_TWIG;
	}

	/**
	 * @inheritdoc
	 */
	public function getName(): string
	{
		return 'area_textblock';
	}

	/**
	 * @inheritdoc
	 */
	public function getDescription(): string
	{
		return 'area_textblock_description';
	}

	/**
	 * @inheritdoc
	 */
	public function getVersion(): string
	{
		return '1.0';
	}

	/**
	 * @inheritdoc
	 */
	public function getIcon(): string
	{
		return '/bundles/pimcoreadmin/img/flat-color-icons/wysiwyg.svg';
	}

	/**
	 * @inheritdoc
	 */
	public function getHtmlTagOpen(Info $info): string
	{
		return '';
	}

	/**
	 * @inheritdoc
	 */
	public function getHtmlTagClose(Info $info): string
	{
		return '';
	}
}
